<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Base Plugins 1.0 Plugins Reference Manual: tcp</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Base Plugins 1.0 Plugins Reference Manual">
<link rel="up" href="ch02.html" title="gst-plugins-base Plugins">
<link rel="prev" href="gst-plugins-base-plugins-plugin-subparse.html" title="subparse">
<link rel="next" href="gst-plugins-base-plugins-plugin-theora.html" title="theora">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch02.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-plugins-base-plugins-plugin-subparse.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-plugins-base-plugins-plugin-theora.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-plugins-base-plugins-plugin-tcp"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle">tcp</span></h2>
<p>tcp — <a name="plugin-tcp"></a>transfer data over the network via TCP</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="id-1.3.18.3"></a><h2>Plugin Information</h2>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">filename</span></p></td>
<td>libgsttcp.so</td>
</tr>
<tr>
<td><p><span class="term">version</span></p></td>
<td>1.4.0</td>
</tr>
<tr>
<td><p><span class="term">run-time license</span></p></td>
<td>LGPL</td>
</tr>
<tr>
<td><p><span class="term">package</span></p></td>
<td>GStreamer Base Plug-ins source release</td>
</tr>
<tr>
<td><p><span class="term">origin</span></p></td>
<td>Unknown package origin</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="id-1.3.18.4"></a><h2>Elements</h2>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-base-plugins-multifdsink.html" title="multifdsink">multifdsink</a></span></p></td>
<td>Send data to multiple filedescriptors</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-base-plugins-multisocketsink.html" title="multisocketsink">multisocketsink</a></span></p></td>
<td>Send data to multiple sockets</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-base-plugins-tcpclientsink.html" title="tcpclientsink">tcpclientsink</a></span></p></td>
<td>Send data as a client over the network via TCP</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-base-plugins-tcpclientsrc.html" title="tcpclientsrc">tcpclientsrc</a></span></p></td>
<td>Receive data as a client over the network via TCP</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-base-plugins-tcpserversink.html" title="tcpserversink">tcpserversink</a></span></p></td>
<td>Send data as a server over the network via TCP</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-base-plugins-tcpserversrc.html" title="tcpserversrc">tcpserversrc</a></span></p></td>
<td>Receive data as a server over the network via TCP</td>
</tr>
</tbody>
</table></div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>